<?php
 namespace VnChocola\Module\Master;
 use TCMS\Module;
 use Route;
 use Model;
 use LayoutData;
 use LayoutMenuItem;
 class MasterCarcompartmentGroup extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/car-compartment-group', 'IndexController', 'index')->name('index');
 Route::get('/car-compartment-group/create', 'IndexController', 'create')->name('create');
 Route::post('/car-compartment-group/create', 'IndexController', 'postCreate');
 Route::get('/car-compartment-group/update/{id}', 'IndexController', 'update')->name('update');
 Route::post('/car-compartment-group/update/{id}', 'IndexController', 'postUpdate');
 Route::post('/car-compartment-group/delete', 'IndexController', 'postDelete')->name('delete');
 }
 public function registerComponent() {
 Model::add('CarCompartmentGroupModel', \VnChocola\Model\CarCompartmentGroupModel::class, true);
 Model::add('BranchsModel', \VnChocola\Model\BranchsModel::class, true);
 }
 public function boot() {
 LayoutData::addSubMenuItem('car-compartment-group', route('index'), lang('CarCompartment_model.group'), 'carcompartments', 'primary', function(LayoutMenuItem $menuItem) {
 $menuItem->icon = 'fa fa-car';
 }
);
 }
 public function middleware(string $routeName, $auth) {
 }
 }
